Summary:       ATA S.M.A.R.T. Disk Health Monitoring Library
Name:          libatasmart
Version:       0.19
Release:       3%{?dist}
License:       LGPLv2+
URL:           http://git.0pointer.net/libatasmart.git/
Source0:       http://0pointer.de/public/libatasmart-%{version}.tar.xz
Patch3000:     libatasmart-0.19-wd-fix.patch

BuildRequires: gcc systemd-devel make

%description
A small and lightweight parser library for SMART hard disk health monitoring.

%package devel
Summary:       Development Files for libatasmart Client Development
Requires:      libatasmart = %{version}-%{release} pkgconfig vala

%description devel
Development Files for libatasmart Client Development

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name *.a -o -name *.la -delete
rm %{buildroot}%{_docdir}/libatasmart/README

%files
%license LGPL
%doc README
%{_libdir}/libatasmart.so.*
%{_sbindir}/skdump
%{_sbindir}/sktest

%files devel
%doc blob-examples/*
%{_includedir}/atasmart.h
%{_libdir}/libatasmart.so
%{_libdir}/pkgconfig/libatasmart.pc
%{_datadir}/vala/vapi/atasmart.vapi

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 20 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.19-1
- package init.
